EDIT - feature request #922

Implement compareTo method in IdentifiableEntity properly
08/17/2009 01:02 PM - Andreas Mller

Status: Closed Start date:

Priority: Priority12 Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 4.6

Severity: major

Description

At the moment there is just one method that uses case differentiation instead of using the inheritance.

Either overwrite compoareTo or use abstract methods to get relevant information from subclasses

Related issues:
Related to EDIT - bug #6311: Refactor IdentifiableEntity.compareTo method Rejected
Related to EDIT - task #6401: Update working environment to jdk 1.8 Closed

Associated revisions

Revision dfc40f67 - 02/02/2017 03:00 PM - Andreas Miiller

fix #6311 move compareToEntity method to TaxonName and TaxonBase classes and refactor

Revision 44e2abe8 - 02/02/2017 04:05 PM - Andreas Miiller

ref #6311 further refactoring for compareToEntity

Revision ae3b8a5d - 02/02/2017 04:35 PM - Andreas Miiller
ref #922 and #6311 javadoc

Revision b5b4a36¢ - 02/16/2017 10:35 PM - Andreas Miuller

ref #922 move compareTo test to subclasses

History

#1 - 08/17/2009 01:38 PM - Andreas Miuller

Implementing compareTo in identifiable entity by implementing Comparable creates problems in OrderedTermBase (OrderedTermBase is identifiable
now, too). Therefore we should rethink this implementation. Do we really need to compare ident.entities of different classes?

#2 - 10/05/2009 05:08 PM - Katja Luther
- Assignee changed from Anahit Babadshanjan to k.luther -

- Target version changed from CDM lib Release 2.0 to CDM lib Release 2.3

#3 - 02/02/2017 04:13 PM - Andreas Miiller
- Related to bug #6311: Refactor IdentifiableEntity.compareTo method added

#4 - 02/02/2017 04:21 PM - Andreas Miiller

- Description updated

- Status changed from New to Resolved

- Target version changed from cdmlib - Old Next Major Release to Release 4.6

- % Done changed from 0 to 80

Revision showed that
¢ the method was never used by different classes and therefore the parameter does not need to be IdentifiableEntity

¢ the method was only used by TaxonNameBase and TaxonBase but created problems with the very similar compareTo method in
DefinedTermBase
Therefore we moved the method down to TaxonNameBase and TaxonBase and implemented it properly for each of these classes. Also it was
renamed to avoid mistakes thinking it implements Comparable (#4232, #6311).

The semantics was only slightly changed were NPEs were expected otherwise.

#5 - 02/02/2017 04:57 PM - Andreas Miiller
- Related to task #6401: Update working environment to jdk 1.8 added

#6 - 02/07/2017 11:30 AM - Katja Luther
- Status changed from Resolved to Feedback

- Assignee changed from Katja Luther to Andreas Mdiller

Looks fine, the only thing that should be moved, are the tests for the new methods. At the moment the methods are still tested in IdentifiableEntity Test
class.

#7 - 02/16/2017 10:41 PM - Andreas Miiller
- Status changed from Feedback to Closed
- % Done changed from 80 to 100

Moved the tests down to the subclasses

#8 - 03/11/2017 10:48 PM - Andreas Miiller

- Private changed from Yes to No
